xmlgraphics-batik-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Yetesh Chaudhary <Yetesh.Chaudh...@servicenow.com>
Subject Batik 1.10 issue
Date Fri, 01 Jun 2018 18:49:27 GMT
Hi Apache team,

This is Yetesh. We’re using the batik library for SVG to PDF conversion. This email is regarding
this post:
https://mail-archives.apache.org/mod_mbox/xmlgraphics-batik-dev/201805.mbox/%3C000701d3f28f$d01860a0$704921e0$@gmail.com%3E

There’s an issue in batik-dom-1.10 in the AbstractElement java class. It references ElementTraversal
java class in org.apache.batik.w3c.dom package which doesn’t exist.

The ElementTraversal class is present but in org.w3c.dom package of xml-apis jar. The Apache
team need to fix this in the AbstractElement file of batik-dom-1.10 jar.

We can’t upgrade to 1.10 unless this is resolved by the Apache team. I’m getting the following
error which is because of the above stated reason.

2018-06-01 09:49:32 (289) API_INT-thread-3 DAF75D73CB1213008C061AEB034C9C53 txid=3e5891b3cb12
SEVERE *** ERROR *** java.lang.NoClassDefFoundError: org/apache/batik/w3c/dom/ElementTraversal

Thanks,
Yetesh
Mime
View raw message